﻿/*FOGLIO DI STILE DELLE VISTE POPUP*/

/*POPUP GRAFICO AGGREGATI*/
.aggregateChart {
    position: absolute;
    top: 4.2rem;
    width: 80rem;
    height: 60rem;
    background-color: lightgray;
}

/*POPUP BOTTONI MANUALI*/

.manualButtons {
    color: white;
    background: #2b2d35;
}

.manualButtons_header {
    position: absolute;
    background-color: #2b2d35;
    top: 0rem;
    z-index: 999;
    padding-bottom: 2rem;
    text-align: center;
    width: calc(100% - 1.8rem);
}

@media (max-width: 1100px) {
    .manualButtons_header {
        width: 21.5rem;
    }
}

.manualButtons_header_name {
    margin-top: 1rem;
    margin-bottom: 1rem;
    font-weight: 700;
}

.manualButtons_header_button {
    margin-top: 2rem;
    margin-bottom: 1rem;
}

.manualButtons_header_btnAdress {
    font-size: 1.5rem;
    color: mediumspringgreen;
    font-weight: 500;
}

.manualButtons_header_btnAdress_lbl {
    background-color: white;
    padding: 0.2rem 1.4rem 0.2rem 1.4rem;
    margin-left: 0.5rem;
    color: black;
}

.manualButtons_body {
    padding: 6rem 1rem;
    margin-top: 18.5rem;
    /*background-color: #bdbdbd;*/
    height: 100%;
    overflow-y: auto;
}

.manualButtons_body_buttons {
    width: 100%;
    display: grid;
}

.manualButtons_body_buttons_grid {
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: 32% 32% 32%;
    position: relative;
    width: 100%;
    grid-gap: 0 1.5%;
}

.manualButtons_body_close {
    margin-top: 2rem;
    text-align: center;
}


/*POPUP PARAMETRI*/





.paramaterMng_body {
    position: absolute;
    width: 65%;
    left: 50%;
    top: 50%;
    height: max-content;
    transform: translate(-50%,-50%);
}

/*POPUP SEMI AUTO BUTTONS*/

.semiAutoButtons {
}

.semiAutoButtons_body {
}

.semiAutoButtons_body_group {
    padding-top: 5px;
    text-align: left;
}

/*POPUP DETTAGLI BILANCIA*/

/*BALANCE DETAILS (DETTAGLIO CONTALITRI)*/

.balance_dtl {
    display: inline-block;
    margin: 0 auto;
    color: black;
    min-height: 15rem;
    min-width: 35rem;
    display: grid;
    width: fit-content;
    grid-auto-flow: column;
    grid-gap: 0.5rem;
}

@media (max-width: 1100px) {
    .balance_dtl {
        min-height: initial;
        min-width: initial;
        display: inline-block;
    }
}



/*-->BALANCE DETAILS PARTE SINISTRA*/
.balance_dtl_left {
}

.balance_dtl_formula {
    margin-top: -0.5rem;
}


.balance_dtl_left_details {
    margin-bottom: 0.5rem;
    margin-top: -0.5rem;
    color: black;
    font-size: 1rem;
}

.balance_dtl_left_state {
    border-bottom: 0.1rem solid black;
    margin-bottom: 0.2rem;
}

.balance_dtl_left_state_code {
    width: 1.5rem;
    height: 2rem;
    background-color: gray;
    display: inline-block;
    margin-right: 0.2rem;
    margin-bottom: 0.2rem;
    color: white;
}

.balance_dtl_left_state_current {
    text-align: center;
    font-size: 1rem;
}

.balance_dtl_left_dosing {
}

.balance_dtl_left_dosing_component {
    width: 1.5rem;
    height: 1.5rem;
    border: 0.2rem solid black;
    margin-top: -2rem;
    position: absolute;
    margin-left: -5rem;
}

.balance_dtl_left_dosing_value {
    width: 5rem;
    margin-left: auto;
    margin-right: auto;
    border-top: 0.1rem solid black;
    margin-top: -1rem;
}

.balance_dtl_left_discharge {
}

.balance_dtl_left_discharge_openings {
    width: 100%;
}

.balance_dtl_left_discharge_openings_toogle {
    margin-top: 1rem;
}

.balance_dtl_left_discharge_openings_extractors {
}

.balance_dtl_left_discharge_openings_extractors_belt {
    margin-bottom: 0.3rem;
    height: 3rem;
    width: 94%;
}

.balance_dtl_left_discharge_openings_extractors_belt_details {
    width: 53%;
    position: relative;
    left: 40%;
}

.balance_dtl_left_footer {
    margin-top: 1rem;
}

.balance_dtl_left_footer_quantity {
}

.balance_dtl_left_footer_quantity_details {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
    margin-bottom: 0.2rem;
}

.balance_dtl_left_footer_quantity_mode {
    width: 100%;
    margin-bottom: 0.2rem;
    color: white;
}

.balance_dtl_left_footer_quantity_comp {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 0.5rem;
    margin-bottom: 0.2rem;
    background-color: white;
}

.balance_dtl_left_footer_details {
}


/*BALANCE DETAILS PARTE DESTRA*/

.balance_dtl_right {
}


/*--> BALANCE DETAILS-->centrare testo (DETTAGGIO CONTALITRI)*/

.balance_dtl_center {
    width: 80%;
    position: relative;
    left: 50%;
    transform: translate(-50%,0);
}

/* GRIGLIA PER SPIE DI MOVIMENTO*/
.balance_dtl_move_spie {
    display: grid;
    grid-template-columns: 90% 10%;
}

/*POPUP MATERIAL STOCK DETAILS*/

/*DETTAGLI MATERIAL STOCK*/
.materialStockdtl {
    min-height: 56.5rem;
    min-width: 24rem;
    display: grid;
    padding: 1.5rem 2rem;
    border: 0.1rem solid #e2e2e2;
    grid-template-rows: 11% 66% 1fr 5% 1fr;
    overflow: scroll;
}

.materialStockdtl_btnGroup {
    width: 100%;
    margin-bottom: 3px;
    font-size: 10px;
    display: grid;
    grid-template-columns: auto auto;
    grid-gap: 0.1rem;
}

.materialStockdtl_lblCement {
    display: grid;
    grid-auto-flow: column;
}

.materialStockdtl_btnCement {
    border-top: 0.1rem solid rgba(1,1,1,0.7);
}

.materialStockdtl_btnCement_btnGroup {
    display: grid;
    min-height: 50px;
    margin-top: 0.2rem;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1rem;
    align-items: center;
    justify-items: center;
}



.materialStockdtl_lblDetails {
    font-size: 1rem;
    margin-bottom: -0.5rem;
}

.materialStockExternalSilo_lblDetails {
    font-size: 1rem;
    /* margin-bottom: -0.5rem; */
}

.externalSiloLegend {
    right: 0.5rem;
    top: 0.2rem
}

.materialStockdtl_stockDetails {
    height: 10px;
    width: 10px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5px;
    margin-bottom: 5px;
    background-color: #ccc;
    border: 1px solid black;
}

.cementLoading_Label {
    height: 100%;
    border: 2px outset grey;
    bottom: 3%;
    position: relative;
}

.materialStockdtl_data {
    display: grid;
    grid-template-columns: 35% 65%;
    width: calc(100% - 1rem);
    grid-gap: 1rem;
}

.materialStockdtl_data_progressBar {
}

.materialStockdtl_data_progressBar_level {
    width: auto;
    text-transform: uppercase;
    color: white;
    font-weight: bold;
    text-align: center;
    height: 80%;
}

.materialStockdtl_data_progressBar_fullPercent {
    height: 15px;
    width: 15px;
    border: 1px solid black;
    background-color: yellow;
    margin-top: 4px;
    position: relative;
}

.materialStockdtl_data_lbl {
    display: grid;
    font-size: 1.1rem;
    position: relative;
    transform-style: preserve-3d;
    transition: 0.5s;
}

.materialStockdtl_dosing {
    background: linear-gradient(to right, rgba(250,250,250,1) 0%, rgba(145,232,66,1) 36%, rgba(145,232,66,1) 64%, rgba(255,255,255,1) 100%);
}

.materialStockdtl_outofTolerance {
    background: linear-gradient(to right, rgba(250,250,250,1) 0%, darkorange 36%, darkorange 64%, rgba(255,255,255,1) 100%);
}

.materialStockdtl_data_lbl_nameStock {
    font-size: 2rem;
    text-transform: uppercase;
    font-weight: 600;
    line-height: 2rem;
}


.materialStockdtl_belt {
    float: left;
    background: #d6e3eb;
    background-image: -webkit-linear-gradient(top, #d6e3eb, #c5ccd1);
    background-image: -moz-linear-gradient(top, #d6e3eb, #c5ccd1);
    background-image: -ms-linear-gradient(top, #d6e3eb, #c5ccd1);
    background-image: -o-linear-gradient(top, #d6e3eb, #c5ccd1);
    background-image: linear-gradient(to bottom, #d6e3eb, #c5ccd1);
    -webkit-border-radius: 2.8rem;
    -moz-border-radius: 2.8rem;
    border-radius: 2.8rem;
    color: #ffffff;
    font-size: 0.8rem;
    padding: 1rem 2rem 1rem 2rem !important;
    border: solid #8b8d8f 0.2rem;
    text-decoration: none;
    margin-bottom: 3px;
    margin-right: auto;
    margin-top: 10px;
    width: 50%;
}

.materialStockdtl_belt_stock {
    height: 10px;
    width: 10px;
    position: relative;
    left: 40%;
    border: 2px solid black;
    background-color: lightgreen;
    margin-top: -5px;
    margin-left: 5px !important;
    margin-right: 5px !important;
    float: left;
}

.materialStockdtl_belt_extractor {
    margin-top: -10px;
    float: left;
    margin-left: 15px;
}
/*/*CYCLE details*/

.cycleDetails_container {
    display: grid;
    grid-template-columns: 30% 40% 30%;
}

.DGDetails_container {
    grid-template-columns: repeat(6,1fr);
}

@media (max-width: 1100px) {
    .DGDetails_container {
        grid-template-columns: repeat(3,1fr);
    }
}




@media (max-width: 1280px) {
    .DGDetails_container {
        grid-template-columns: repeat(4,1fr);
    }
}

/*RECIPE DETAILS*/
.recipeDetailsPc {
}

@media (max-width: 1100px) {
    .recipeDetailsPc {
        display: none !important;
    }

    .recipeDetails {
        z-index: 99999999 !important;
        position: fixed !important;
    }

    .cycleDetails_container {
        display: grid;
        grid-auto-flow: row;
        height: 85rem;
        overflow: auto;
        grid-template-columns: initial;
    }
}


.recipeDetails {
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(0,0,0, .8);
    width: 100%;
    height: 100%;
    z-index: 999;
}



.recipeDetails_body {
    width: 80%;
    height: 85%;
    background-color: #d3d3d3;
    position: absolute;
    top: 50%;
    padding: 2rem;
    border-radius: 1.2rem;
    border: .1rem solid #000;
    left: 50%;
    transform: translate(-50%,-50%);
}

@media (max-width: 1100px) {
    .recipeDetails_body {
        overflow-y: auto;
        width: 90%;
        height: 90%;
        top: 50%;
        overflow-y: auto;
        display: grid;
        grid-template-rows: 94% 6%;
    }
}



.recipeDetails_body_container {
    display: grid;
    grid-template-rows: auto;
    height: 100%;
}

.recipeDetails_body_header {
    display: grid;
}

.recipeDetails_body_header_control {
    margin-left: auto;
    margin-right: auto;
}

@media (max-width: 1100px) {
    .recipeDetails_body_container {
        grid-template-rows: 5% 40% 1fr;
    }

    .recipeDetails_body_header {
        grid-auto-flow: column;
        font-size: 2rem;
    }

    .recipeDetails_body_header_control {
        display: grid;
        grid-auto-flow: column;
    }

    .recipeDetails_body_header_control_check {
        width: 3rem;
        height: 2.5rem;
    }

    .recipeDetails_body_header_title {
        font-size: 2rem;
    }

    .recipeDetails_body_container_materials {
        font-size: 1.8rem;
        overflow: auto;
    }
}

#recipeMovableDiv {
    position: absolute;
    z-index: 9;
    background-color: white;
    text-align: center;
    left: 38.45%;
    border-radius: 2rem;
}

#recipeMovableDivHeader {
    padding: 0 2rem;
    z-index: 10;
    background-color: #3bafda;
    color: #fff;
    border-radius: 1rem;
    width: 40rem;
    cursor: pointer;
}



.recipeDetails_body_header_title {
    font-size: 1.8rem;
    margin-left: auto;
    margin-right: auto;
}

.recipeDetails_body_panel {
    overflow-y: auto !important;
    height: 95%;
    padding-right: 1rem;
}

@media (max-width: 1100px) {
    .recipeDetails_body_panel {
        overflow-y: auto !important;
        padding: 2rem;
        font-size: 1.8rem;
        height: 90% !important;
    }
}



.recipeDetails_body_panel_header {
    display: grid;
    grid-auto-flow: column;
}

.recipeDetails_footer {
    display: grid;
    grid-auto-flow: column;
}

.recipeDetails_footer_btn {
    display: grid;
    grid-auto-flow: column
}

@media (max-width: 1100px) {
    .recipeDetails_footer_btn {
        font-size: 2.5rem;
        display: grid;
        grid-auto-flow: column;
        margin-top: 1rem;
    }
}

/*RECIPE DETAILS TABLET*/

.recipeDetailsTablet {
    display: none;
    grid-gap: 1rem;
}

@media (max-width: 1100px) {
    .recipeDetailsTablet {
        display: grid !important;
    }
}


.recipeDetailsTablet_row {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 40% 50%;
    font-size: 1.8rem;
}

.recipeDetailsTablet_row_label {
}

.recipeDetailsTablet_row_data {
    display: grid;
    grid-template-columns: repeat(4,1fr);
}

.recipeDetailsTablet_row_data_btn {
    margin: 0.25rem;
}

.recipeDetails_footer_btnGroup {
    display: grid;
    grid-auto-flow: column;
}
/*@media (max-width: 1100px) {
    .recipeDetails_footer {
        height: 2rem;
    }
}*/


/*POPUP GENERALI*/

:root {
    --popupIndex: 1040;
}

/*SFONDO*/
.popup_style {
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0, .8);
    z-index: var(--popupIndex);
    color: black;
}


/*CONTENUTO POPUP*/
.popup_style_container {
    min-height: 8rem;
    background-color: whitesmoke;
    position: absolute;
    top: 50%;
    padding: 2rem;
    border-radius: 1.2rem;
    border: .1rem solid #000;
    left: 50%;
    transform: translate(-50%,-50%);
    box-shadow: 4px 6px 13px black;
    display: grid;
    grid-template-rows: auto auto auto;
    width: max-content;
    height: max-content;
    max-height: 81rem;
    overflow: auto;
    min-width: 33rem;
}

.popup_style_container_header {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 600;
}

.popup_style_container_body {
    text-align: center;
}

.popup_style_container_body_label {
    text-align: left;
    margin-bottom: auto;
    margin-top: auto;
}

.popup_style_container_footer {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-gap: 1rem;
    width: calc(100% - 1rem);
}

/*CONTENUTO GENERALE*/

.popup_style_btn_up {
    position: fixed;
    z-index: 1060;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
    left: 90.7%;
    top: 0rem;
    font-size: 1.6rem;
    font-weight: 500;
    letter-spacing: 0.2rem;
    min-width: 8rem;
}

.popup_btn_close_cycleDetails {
    position: relative;
    left: 88.5%;
    top: 91.5%;
    z-index: 1;
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
    font-size: 1.6rem;
    font-weight: 500;
    letter-spacing: 0.2rem;
    min-width: 8rem;
}

.popup_style_content_ticket {
    min-width: 48%;
    min-height: 41rem;
    background-color: whitesmoke;
    box-shadow: 0 2rem 4rem rgba(0,0,0, .2);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    border-radius: 0.3rem;
}


/*CONTENUTO DOSING GROUP DETAILS*/

.popup_style_DGDetails {
    min-width: 25%;
    width: max-content;
    max-width: 100%;
    padding: 1rem;
    height: 90%;
    display: grid;
    grid-template-rows: 70% 30%;
}



/*-->POPUP TICKET (COMMAND ALKON)*/
.popup_ticket_content_header {
    min-height: 3rem;
    background-color: #3b3f4f;
    border-color: #3b3f4f;
    padding: 1.5rem;
    color: white;
    font-size: 1.6rem;
    font-weight: 500;
    position: relative;
}

.popup_ticket_content_header_name {
    display: inline-block;
}

.popup_ticket_content_header_btn {
    display: inline-block;
}

.popup_ticket_content_body {
    display: grid;
    grid-template-columns: 1fr 1fr;
    background-color: lightgray;
    padding: 1.5rem;
}

.popup_ticket_content_body_infoBuyer {
    margin-top: 1rem;
    margin-bottom: 0rem;
    padding-bottom: 2rem;
    margin-right: 6rem;
    display: grid;
    grid-template-rows: auto;
}

.popup_ticket_content_body_infoBuyer_row {
    display: grid;
    grid-template-columns: 35% 1fr;
}

.popup_ticket_content_body_infoBuyer_row_label {
    font-weight: 600;
}

.popup_ticket_content_body_infoBuyer_row_data {
    font-weight: 400;
    background-color: white;
    height: fit-content;
    width: fit-content;
    padding: 0.5rem;
}

.popup_ticket_content_body_infoTicket {
    display: grid;
    grid-template-rows: 1fr 1fr;
    margin-top: 1rem;
    font-weight: 600;
}

.popup_ticket_content_body_infoTicket_table {
    width: 30rem;
}

.popup_ticket_content_body_infoTicket_table_tbody {
    font-weight: 400;
    background-color: white;
}



/*POPUP NEW-EDIT MATERIAL TABLE*/

.popup_style_material_row {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 40% 1fr;
    padding: 0.3rem;
}


/*-->POPUP MATERIAL MNG (DELETE MATERIAL)*/


.popup_style_material {
    width: 35rem;
    max-width: 40rem;
    height: 15rem;
    background-color: whitesmoke;
    border-radius: 0.3rem;
    box-shadow: 0 1rem 1rem rgba(255,255,255, .2);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    border-radius: 2.5rem;
}

.popup_style_material_header {
    min-height: 0.5rem;
    background-color: #df5640;
    border-color: #df5640;
    padding: 1.5rem;
    color: white;
}

.popup_style_material_body {
    height: -webkit-fill-available;
    background-color: lightgray;
    padding: 1.5rem;
    text-align: center;
    display: grid;
    grid-gap: 2rem;
}

.popup_style_material_text {
    font-size: 2.4rem;
    font-weight: 600;
}

/*POPUP->PAREMETERS COMPONENT*/
.popup_style_parameters {
    min-width: 77%;
    height: 82%;
    background-color: whitesmoke;
    box-shadow: 0 2rem 4rem rgba(0,0,0, .2);
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%,-50%);
    border-radius: 0.3rem;
    display: grid;
}

.popup_style_parameters_header {
    min-height: 5rem;
    background: orangered;
    display: grid;
    grid-auto-flow: column;
    padding: 2rem;
    text-align: center;
}

.popup_style_parameters_body {
    overflow-y: auto;
    display: grid;
    /* grid-auto-flow: column; */
    grid-template-columns: 1fr 1fr 1fr;
    padding: 2rem;
}

.popup_style_parameters_body_name {
    height: 4rem;
    font-weight: 600;
    font-size: 1.5rem;
    border-top: 0.2rem solid black;
    border-bottom: 0.2rem solid black;
    margin-bottom: 2rem;
    margin-top: 2rem;
    background-color: #3b3f4f;
    padding: 0.5rem;
    color: whitesmoke;
    border-radius: 1rem;
}

.popup_style_parameters_body_content {
    display: grid;
    grid-template-columns: 40% 60%;
    padding: 0.2rem;
}




/*POPUP AUTO BUTTONS*/
.popup_style_autoButtons {
    background-color: #f0f0f0;
    width: 90%;
    height: 19rem;
    border-radius: 0.5rem;
    padding: 0.5rem;
}

.popup_style_title {
    TEXT-ALIGN: center;
    color: darkslateblue;
    font-weight: 600;
    font-size: 2rem;
    margin-bottom: 2rem;
    letter-spacing: 0.2rem;
}



/*POPUP WAYBILL*/

.popup_style_waybill {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.8);
    top: 0;
    left: 0;
    z-index: 99999999;
    padding: 1rem;
}

.popup_style_waybill_body {
    width: 60%;
    background: rgba(255,255,255);
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    padding: 3rem;
    border-radius: 1rem;
    box-shadow: 0.5rem 0.5rem 0.5rem;
    display: grid;
    grid-template-rows: 95% 5%;
    grid-gap: 1rem;
}

.popup_style_waybill_body_content {
    display: grid;
    grid-gap: 0.8rem;
    overflow-x: hidden;
    overflow-y: auto;
    max-height: 75rem;
}

.popup_style_waybill_body_content_row {
    display: grid;
    font-size: 1.4rem;
    grid-auto-flow: column;
    grid-template-columns: 25% 75%;
}

.popup_style_waybill_body_content_row_item {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: 1fr auto;
}

.popup_style_waybill_body_content_row_item_input {
    padding: 0.5rem 1rem;
    font-size: 1.2rem;
    line-height: 1.5;
    border-radius: 0.2rem;
    border-color: rgb(169, 169, 169);
}


/*POPUP SAVE-GROUP-NAME*/

.saveGroupName_body {
    width: fit-content;
    height: fit-content;
    background-color: whitesmoke;
    position: absolute;
    top: 20%;
    padding: 2rem;
    border-radius: 1.2rem;
    border: .1rem solid #000;
    left: 50%;
    transform: translate(-51%,-50%);
}

.saveGroupName_body_container {
    display: grid;
    grid-template-rows: 24% 1fr 1fr;
}

.saveGroupName_body_container_label {
    height: 3rem;
    text-align: center;
}

.saveGroupName_body_container_input {
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

.saveGroupName_body_container_btn {
    display: grid;
    grid-template-columns: 50% 50%
}

/*POPUP SELECT-ROLE*/

.selectRole_body {
    width: 40rem;
    min-height: 8rem;
    background-color: whitesmoke;
    position: absolute;
    top: 30%;
    padding: 2rem;
    border-radius: 1.2rem;
    border: .1rem solid #000;
    left: 50%;
    transform: translate(-50%,-50%);
}

.selectRole_body_container {
}

.selectRole_body_container_message {
    text-align: center;
}

.selectRole_body_container_message_list_header {
    width: 100%;
    height: 2rem;
    background-color: white;
    border-radius: 0.5rem;
    border: 0.1rem solid;
}

.selectRole_body_container_message_list_header_visited {
    width: 100%;
    height: 2rem;
    background-color: white;
    border: 0.1rem solid;
    border-top-left-radius: 1.5rem;
    border-top-right-radius: 1.5rem;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.selectRole_body_container_message_list_body {
    width: 100%;
    height: fit-content;
    background-color: white;
    border-bottom-left-radius: 1.5rem;
    border-bottom-right-radius: 1.5rem;
    border: 0.1rem solid;
    display: grid;
}

.selectRole_body_container_btn {
    margin-top: 1rem;
    display: grid;
    grid-auto-flow: column;
}

.selectRole_add {
    border-radius: 50%;
    /*transform: rotate(90deg);*/
    transition: 0.5s;
    height: 1.8rem;
    width: 1.4rem;
}

.selectRole_close {
    border-radius: 50%;
    /*transform: rotate(45deg);*/
    transition: 0.5s;
    width: 1.4rem;
    height: 1.8rem;
}

/*POPUP DELETE-USER*/

.deleteUser_body {
    width: 40rem;
    min-height: 8rem;
    background-color: whitesmoke;
    position: absolute;
    top: 30%;
    padding: 2rem;
    border-radius: 1.2rem;
    border: .1rem solid #000;
    left: 50%;
    transform: translate(-50%,-50%);
}

.deleteUser_body_message {
    text-align: center;
    padding: 2.5rem;
}

.deleteUser_body_btn {
    margin-top: 1rem;
    display: grid;
    grid-auto-flow: column;
}

/*POPUP ALARM-CHANGE-PASSWORD*/

.alarmChangeStock_form {
    width: 40rem;
    height: 25rem;
    background-color: whitesmoke;
    position: absolute;
    top: 39%;
    padding: 2rem;
    border-radius: 1.2rem;
    border: .1rem solid #000;
    left: 50%;
    transform: translate(-50%,-50%);
}

.alarmChangeStock_form_body {
    height: 100%;
    display: grid;
    grid-template-rows: 10% 70% 20%;
}

.alarmChangeStock_form_body_label {
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 0.2rem;
}

.alarmChangeStock_form_body_stock {
}

.alarmChangeStock_form_btn {
    display: grid;
    grid-template-columns: 50% 50%;
}

/*PROVA*/

.hopperdetails {
    position: absolute;
    left: 0%;
    top: 0%;
    width: calc(100% - 1rem);
    backface-visibility: hidden;
    height: 100%;
    transform-style: preserve-3d;
    transition: 0.5s;
    font-size: 1.4rem;
}


.hopperdetails_back {
    transform: rotateY(180deg);
    backface-visibility: hidden;
    right: 0;
    left: inherit;
}

.new_menu_link {
    width: 100%;
    height: 100%;
    display: inline-flex;
    justify-content: space-around;
    align-items: center;
    color: white;
}

    .new_menu_link:hover {
        background: #212121;
        color: deepskyblue;
        text-shadow: 0px 1rem 6rem rgb(255 255 255 / 50%);
    }

.new_menu_clickable_link {
    font-weight: 100;
    text-transform: none
}
